get a user token by id.md
Get a user token by ID
Management API · Your Profile
GET https://app.mk.io/api/v1/user/tokens/{token_id}
Get a user token by ID.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
token_id |
string | Yes | format: uuid |
Example request
curl -X GET "https://app.mk.io/api/v1/user/tokens/{token_id}" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
kind· string · Optional — The kind of record.metadata· object · Required — Token metadata.JWT· string · Optional — Generated token. We do not store this token, so you will not be able to see it again. Please copy it and keep it securely.id· string · Required · format: uuid — ID of token.type· enum · Required — Token type.- Allowed values:
login,full-access,restricted,ephemeral
- Allowed values:
spec· object · Required — Token spec.description· string · Optional · 0-128 characters — Description of the token. Max 128 characters.expires· string · Required · format: date-time — Date token expires.issued· string · Required · format: date-time — Date token was issued.lastUsed· string or null · Required · format: date — Date token was last used on the MK.IO api.organizationId· string or null · Optional · format: uuid — ID of the organization that this token allows access to.permissions· map from strings to any · Optional — The RBAC capabilities assigned to the token when type is 'restricted'[any key]· any — map of additional properties
revoked· string or null · Required · format: date-time — Date token was revoked, or null if not revoked.revokedBy· string · Optional — Email of user who revoked this token.user· string · Required — Email of user the token was issued for.
Example:
{
"kind": "string",
"metadata": {
"JWT": "string",
"id": "00000000-0000-0000-0000-000000000000",
"type": "full-access"
},
"spec": {
"description": "string",
"expires": "2024-01-01T00:00:00Z",
"issued": "2024-01-01T00:00:00Z",
"lastUsed": "2024-01-01",
"organizationId": "00000000-0000-0000-0000-000000000000",
"permissions": {},
"revoked": "2024-01-01T00:00:00Z",
"revokedBy": "string",
"user": "string"
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/api/v1/user/tokens/{token_id}